Skip to content
POST /unified/e-signature/documents

Query Parameters

Refer Specifying query parameters in Truto APIs

signing_requestobject

The signing request associated with the document

id
namestring

Needs to be a file name with extension

1 supported
DocuSign
supported
idstring

A positive integer or string. Default is 1.

1 supported
DocuSign
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

created_atstring · date-time

The date and time when the document was created.

1 supported
DocuSign
supported
created_byobject

The user who created the document.

emailsobject[]

The emails of the user.

1 property
emailstring

The email address of the user.

idstring

The unique identifier of the user.

namestring

The name of the user.

idstring

The unique identifier of the document.

1 supported
DocuSign
supported
last_activity_atstring · date-time

The date and time when the document was last updated.

namestring

The name of the document.

1 supported
DocuSign
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

scopestring

The scope of the document.

signing_requestobject

The signing request associated with the document

id
statusstring

The status of the document.

updated_atstring · date-time

The date and time when the document was last updated.

1 supported
DocuSign
supported
urlsobject[]

The urls of the document

1 supported
DocuSign
supported
typestring

The type of the url

Possible values:
vieweditpublic_view
urlstring

The url of the document

curl -X POST 'https://api.truto.one/unified/e-signature/documents?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/e-signature/documents?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/documents"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'e-signature',
  'documents',
  {
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "e-signature",
        "documents",
        {
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())